const crypto = require('crypto');

function generateSimulatedHash(difficulty) {
    let data;

    if (difficulty === 'gentil') {
        data = crypto.randomBytes(1).toString('hex'); // Mode gentil (faible complexité)
    } else if (difficulty === 'normal') {
        data = crypto.randomBytes(3).toString('hex'); // Mode normal (moyenne complexité)
    } else if (difficulty === 'agressif') {
        data = crypto.randomBytes(5).toString('hex'); // Mode agressif (haute complexité)
    }

    console.log(`Data généré: ${data}`);
    const hash = crypto.createHash('md5').update(data).digest('hex');
    return hash;
}

function sendHashToSlave(hash, client, start, end) {
    console.log(`Message envoyé à l'esclave: search ${hash} ${start} ${end}`);
    client.send(`search ${hash} ${start} ${end}`);
}

module.exports = {
    generateSimulatedHash,
    sendHashToSlave
};